using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class InternetLink : MonoBehaviour
{
    public string URL;
    bool Interactable = true;

    private void OnMouseDown()
    {
        if (Interactable)
        {
            Application.OpenURL(URL);
            Interactable = false;
            StartCoroutine(ResetInteractable());
        }
    }

    private IEnumerator ResetInteractable()
    {
        yield return new WaitForSeconds(1);
        Interactable = true;
    }
}
